%define upstream_name    Dist-Zilla-Plugin-InsertCopyright
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Insert copyright statement into source code files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This module replaces a special '# COPYRIGHT' comment in your Perl source
files with a short notice appropriate to your declared copyright. The
special comment *must* be placed before '__END__'. Only the first such
comment will be replaced.

It is inspired by excellent the Dist::Zilla::Plugin::Prepender manpage but
gives control of the copyright notice placement instead of always adding it
at the start of a file.

I wrote this to let me put copyright statements at the end of my code to
keep line numbers of code consistent between the generated distribution and
the repository source. See the Dist::Zilla::Plugin::OurPkgVersion manpage
for another useful plugin that preserves line numbering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 532721
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 469509
- update to 0.002

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Dist-Zilla-Plugin-InsertCopyright


* Fri Aug 26 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
